# bcharge.cc File Reference

## Detailed Description

Talk to the Blackberry just enough to change the Max Power to 500mA.

Cycles through all devices attached to USB, attempting to set all matching Blackberry devices to charge.

This file is part of the Barry project:

http://www.netdirect.ca/software/packages/barry http://sourceforge.net/projects/barry

Compile with the following command (needs libusb):

g++ -o bcharge bcharge.cc -lusb

Definition in file bcharge.cc.

`#include <usb.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <string>`
`#include <barry/common.h>`
`#include "i18n.h"`

Include dependency graph for bcharge.cc:

Go to the source code of this file.